%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname google_visualr
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Wrapper around the Google Visualization API
Name: rubygem-%{gemname}
Version: 0.0.1
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/winston/google_visualr
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

# RHEL5 compatibility
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(rails) >= 2.3.8

BuildRequires: rubygems

Provides: rubygem(%{gemname}) = %{version}

%description
Wrapper around the Google Visualization API.


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force %{SOURCE0}

# RHEL5 compatibility
%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{geminstdir}/
%doc %{geminstdir}/README.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Fri Feb 04 2011 Lukas Zapletal <lzap+rpm@redhat.com> - 0.0.1-1
- Initial package
